Trouble getting brave to work on Mac Os Sierra 10.12.6

Hello everyone,

Having trouble getting a brave browser to work on my updated mac 10.12.6 Running MacOS Sierra every time i install it it says this version not able to work on my mac. But i cant find a version that will run on my mac now

Hi, same problem for me. Any advise would be appreciated (e.g. if there is older versions, if it makes sense to use old versions, …)
Thanks

Just ended up updating to high sierra and no issues now I don’t think they have one that works on that operating system anymore

Hope that helps